function f(n, t) {
  for (var u = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : "0", r = String(n); r.length < t; )
    r = "".concat(u).concat(n);
  return r;
}
var i = function() {
  for (var t = arguments.length, u = new Array(t), r = 0; r < t; r++)
    u[r] = arguments[r];
  return u;
};
function o(n) {
  return n == null ? [] : Array.isArray(n) ? n : [n];
}
function e(n, t) {
  return n ? n[t] : null;
}
function c(n, t, u) {
  var r = [e(n, 0), e(n, 1)];
  return r[u] = typeof t == "function" ? t(r[u]) : t, !r[0] && !r[1] ? null : r;
}
function a(n) {
  return typeof n == "function" ? n() : n;
}
export {
  a as executeValue,
  e as getValue,
  f as leftPad,
  o as toArray,
  i as tuple,
  c as updateValues
};
